using System;

namespace Spojler
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] c1 = Console.ReadLine().Split(' ');
            int a = Convert.ToInt32(c1[0]);
            int b = Convert.ToInt32(c1[1]);
            string[] c2 = Console.ReadLine().Split(' ');
            int x = Convert.ToInt32(c2[0]);
            int y = Convert.ToInt32(c2[1]);
            bool prvi = false, drugi = false;
            if (a == x)  prvi = true;
            if (b == y) drugi = true;

            if (prvi && drugi) Console.WriteLine("nijedan");
            else
            {
                if (!prvi && drugi) Console.WriteLine("prvi");
                else if (prvi && !drugi) Console.WriteLine("drugi");
                else Console.WriteLine("?");
            }
        }
    }
}